## net.i2p.router.transport
Class BandwidthLimitedOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              net.i2p.router.transport.BandwidthLimitedOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class BandwidthLimitedOutputStream

extends java.io.FilterOutputStream

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`BandwidthLimitedOutputStream(RouterContext context, java.io.OutputStream source, RouterIdentity peer)`

Method Summary
`void` `close()`
`FIFOBandwidthLimiter.Request` `getCurrentRequest()`
`void` `write(byte[] src)`
`void` `write(byte[] src, int off, int len)`
`void` `write(int val)`

Methods inherited from class java.io.FilterOutputStream
`flush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BandwidthLimitedOutputStream

    public BandwidthLimitedOutputStream(RouterContext context,
                                        java.io.OutputStream source,
                                        RouterIdentity peer)

Method Detail

### getCurrentRequest

    public FIFOBandwidthLimiter.Request getCurrentRequest()

### write

    public void write(int val)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] src)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] src,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`